## LassoLibScoping

LassoLibScoping — <lib:Scoping>

## Functions

LassoLibScoping * | lasso_lib_scoping_new ()

## Types and Values

struct | LassoLibScoping

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoLibScoping

## Description

Figure 18. Schema fragment for lib:Scoping

    <xs:complexType name="ScopingType">
      <xs:sequence>
        <xs:element name="ProxyCount" type="xs:nonNegativeInteger" minOccurs="0"/>
        <xs:element ref="IDPList" minOccurs="0"/>
      </xs:sequence>
    </xs:complexType>
    <xs:element name="Scoping" type="ScopingType"/>

## Functions

### lasso_lib_scoping_new ()

    LassoLibScoping *
    lasso_lib_scoping_new (void);

Creates a new LassoLibScoping object.

#### Returns

a newly created LassoLibScoping object

## Types and Values

### struct LassoLibScoping

    struct LassoLibScoping {
    	/* <xs:element name="ProxyCount" type="xs:nonNegativeInteger" minOccurs="0"/> */
    	int ProxyCount;
    	/* <xs:element ref="IDPList" minOccurs="0"/> */
    	LassoLibIDPList *IDPList;
    };